

    proc get_pulser_register {addr}  {
        global errorCode errorInfo
        variable ::AGATADigitizer::Digitizer

        set fpga 2   ;# Virtex for core ADCs
        set Addr $addr

        set rc [catch {interp eval "" ::namespace inscope ::urn:AGATADigitizerAccessServer do_Get $Digitizer $fpga $Addr A16} m]
        if {$rc != 0} {
            InsertLog "Get returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
            return $m
        }
    }

    proc set_pulser_register {addr Vl}  {
        global errorCode errorInfo
        variable ::AGATADigitizer::Digitizer 

        set fpga 2   ;# Virtex for core ADCs
        set Addr $addr

        set rc [catch {interp eval "" ::namespace inscope ::urn:AGATADigitizerAccessServer do_Set $Digitizer $fpga $Addr A16 1 $Vl} m]
        if {$rc != 0} {
            InsertLog "Set returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
            return $m
        }
    }

    proc get_trigger_register {addr}  {             ;#    note copied to common.tcl
        global errorCode errorInfo
        variable ::AGATADigitizer::Digitizer

        set fpga 2   ;# Virtex for core ADCs
        set Addr [expr $addr + 0x90]

        set rc [catch {interp eval "" ::namespace inscope ::urn:AGATADigitizerAccessServer do_Get $Digitizer $fpga $Addr A16} m]
        if {$rc != 0} {
            InsertLog "Get returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
#  InsertLog "Get Addr=[format \"0x%x\" $Addr] => $m [format \"0x%x\" $m]"
            return $m
        }
    }

    proc set_trigger_register {addr Vl}  {       ;#   note copied to common.tcl
        global errorCode errorInfo
        variable ::AGATADigitizer::Digitizer 

        set fpga 2   ;# Virtex for core ADCs
        set Addr [expr $addr + 0x90]

        set rc [catch {interp eval "" ::namespace inscope ::urn:AGATADigitizerAccessServer do_Set $Digitizer $fpga $Addr A16 1 $Vl} m]
        if {$rc != 0} {
            InsertLog "Set returned with an error\n$m\n$errorCode\n$errorInfo"
            return -1
        } else {
# InsertLog "Set $Vl => Addr=[format \"0x%x\" $Addr]"
            return $m
        }
    }


